Page MenuHomePhabricator

Limit the number of mw-client-errors from a single client (suggested: maximum 5 errors should be recorded for a single IP on a single page)
Closed, ResolvedPublic

Description

After enabling on Catalan Wikipedia it was apparent that the majority of errors came from a single IP reporting a repeat problem due to the use of several error-throwing setInterval repeat timer. This makes it harder to track down more severe impactful problems as well as prevents us from expanding the error logging to other larger wikis.

The Minerva skin counts errors that occur and was updated to only count up to 5 errors per session. When we did this our error rate halved from roughly 40k a second to 20k a second.

It's suggested that mw-client-error stops tracking more than 5 errors from a single client to avoid this problem.

For context, 63,583 of 66,727 errors on Catalan Wikipedia are coming from a single gadget with this problem.

Event Timeline

Restricted Application added a project: Analytics. · View Herald TranscriptJul 31 2020, 4:16 PM
Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Jul 31 2020, 4:16 PM
jlinehan claimed this task.Jul 31 2020, 5:28 PM
jlinehan added a subscriber: jlinehan.

Any chance we could get this fixed for next week's train?

LGoto triaged this task as Medium priority.Aug 5 2020, 3:33 PM
LGoto moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.
Nuria added a subscriber: Nuria.

Removing analytics tags adding radar

Change 618763 had a related patch set uploaded (by Jason Linehan; owner: Jason Linehan):
[mediawiki/extensions/WikimediaEvents@master] clientError: Limit to 5 errors/page

https://gerrit.wikimedia.org/r/618763

Change 618763 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] clientError: Limit to 5 errors/page

https://gerrit.wikimedia.org/r/618763

jlinehan closed this task as Resolved.Aug 24 2020, 3:26 PM